import { jsx } from "react/jsx-runtime";
import { Warehouse as Warehouse$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Warehouse = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Warehouse", ...props, children: /* @__PURE__ */ jsx(Warehouse$1, { weight: variant }) });
  }
);
Warehouse.displayName = "Warehouse";
Object.assign(Warehouse, { isGdsIcon: true });
export {
  Warehouse
};
